cboundn(1)

Name
cboundn - Calculates the boundary of an n-tuple formed by the directed graph of the supplied rewriting system starting at that tuple.

Syntax

    cboundn [-leftaction | -trivial] [inputfile]

Options

-leftaction
    Left actions are retained in boundary calculations.

-trivial
    (Default) Left actions are regarded as trivial and not retained.

inputfile
    the groups complete rewriting system file that conforms to the Geometry Group Standard format (including finite state automata), and in particular should be of the form outputted by kbeqn or cfsa - that is, we can just use the output from kbeqn as the input to our program. If no file name is given Standard Output is used.

Usage
The program will ask for a word, from which it will calculate the boundary of the directed graph of the supplied rewriting system, starting at this word. The program is used primarily for testing of the library, but is a relatively short demonstration of a program making use of the Homology C library. It does, however, have many limitations (see Notes below).

Notes
The program will use the first n rewriting rules encountered from the left in its calculations. The current implementation does not allow for users to choose which rewriting rules to use. It determines the dimension n based on the number of rewriting rules it finds.

See also
cfsa(1) kbeqn(1) kbeqn2(1) cbound(1)

Author
Jamie P. Curmi (4/11/94) for the Computational Tools for Homolgy of Groups Project